Subject: Re: [lojban] Document Management

From: "Chris Double" <[email-masked]>
Date: Thu, 29 Mar 2001 13:40:14 +1200

coi rodo

Personally I think the best document format is whatever the author decides is a good format for their usage. Whatever facilitates their creating of lojban material in the easiest possible manner is likely to be a personal choice. 

When creating documents myself for distribution in different formats I use custom XML tags. Basically I build a DTD as I go along using elements that describe the information being stored. I then use XSLT stylesheets to transform this to HTML, Docbook, XSL-FO, or whatever. Mainly I use HTML and XSL-FO (to transform to PDF). Once or twice I go to Docbook to get RTF, Tex, etc. There is even a system for transforming XML to Latex - I think IBM have it at their alphaworks site.

Images are a bit tricky with this approach. Sometimes I use links to bitmaps, GIF's or JPG's. Other times I use SVG which is an XML specification for vector graphics. This is one area where I miss WYSIWYG at times.

I think when it comes to a central document management site it would be good if you accepted all formats. Some will be easier than others to deal withand the end user will end up deciding what they can deal with. Plain text may very well be the easiest and most useful in the end. I take my hat off to John Cowan for preparing the entire reference manual in plain text. And a very nice end product at the end of it. 

Chris.
-- 
http://www.double.co.nz/lojban